Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeEditPanel.TemplateSyntax

    java.lang.Object
      ix.util.xml.XMLSyntax
          ix.util.xml.XMLTreeEditPanel.TemplateSyntax

Enclosing class:
  XMLTreeEditPanel

     class XMLTreeEditPanel.TemplateSyntax

extends XMLSyntax

Knows about the syntax of Java classes.

Field Summary

Fields inherited from class ix.util.xml.XMLSyntax
`attributeFieldP, classSyntax, inheritance, xmlt`

Constructor Summary
`XMLTreeEditPanel.TemplateSyntax()`

Method Summary
`(package private) java.lang.Class` | `classForXmlName(java.lang.String name)`
`(package private) XMLTreeEditPanel.TNode` | `makeAttributesNode(java.util.List attrFields)`
`(package private) XMLTreeEditPanel.TNode` | `makeFieldNode(FieldDescr fd)`
`(package private) XMLTreeEditPanel.TNode` | `makeMapEntryNode()`
`(package private) java.util.List` | `makeTemplateNodes(java.lang.Class[] topClasses)`
`(package private) XMLTreeEditPanel.TNode` | `structTemplateFrom(java.lang.Class c)`
`(package private) XMLTreeEditPanel.TNode` | `templateFrom(java.lang.Class c)`
`(package private) XMLTranslator` | `xmlt()`

Methods inherited from class ix.util.xml.XMLSyntax
`attributeFields, collectListofClasses, describeClass, elementFields, getClassDescr, getConstraintSyntaxList, getElementName, getElementName, getElementName, getEnumerationValues, getNTName, getNTName, getUpperName, getUpperName, main, relevantClasses, structTextDescription, walkStructFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLTreeEditPanel.TemplateSyntax

    XMLTreeEditPanel.TemplateSyntax()

Method Detail

### makeTemplateNodes

    java.util.List makeTemplateNodes(java.lang.Class[] topClasses)

### templateFrom

    XMLTreeEditPanel.TNode templateFrom(java.lang.Class c)

### structTemplateFrom

    XMLTreeEditPanel.TNode structTemplateFrom(java.lang.Class c)

### makeAttributesNode

    XMLTreeEditPanel.TNode makeAttributesNode(java.util.List attrFields)

### makeFieldNode

    XMLTreeEditPanel.TNode makeFieldNode(FieldDescr fd)

### makeMapEntryNode

    XMLTreeEditPanel.TNode makeMapEntryNode()

### xmlt

    XMLTranslator xmlt()

### classForXmlName

    java.lang.Class classForXmlName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD